summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSeemant Kulleen <seemant@gentoo.org>2004-06-03 07:30:00 +0000
committerSeemant Kulleen <seemant@gentoo.org>2004-06-03 07:30:00 +0000
commitcec3d4c32d203800064786d2c774442f6be8d21c (patch)
tree6889835fc2ad920aa9ffc78cc2590b6a6ca10667 /mail-filter/scmail
parentMoving to mail-filter/spamass-milter (diff)
downloadhistorical-cec3d4c32d203800064786d2c774442f6be8d21c.tar.gz
historical-cec3d4c32d203800064786d2c774442f6be8d21c.tar.bz2
historical-cec3d4c32d203800064786d2c774442f6be8d21c.zip
Moved from net-mail/scmail to mail-filter/scmail.
Diffstat (limited to 'mail-filter/scmail')
-rw-r--r--mail-filter/scmail/ChangeLog41
-rw-r--r--mail-filter/scmail/Manifest9
-rw-r--r--mail-filter/scmail/files/digest-scmail-0.21
-rw-r--r--mail-filter/scmail/files/digest-scmail-1.11
-rw-r--r--mail-filter/scmail/files/digest-scmail-1.21
-rw-r--r--mail-filter/scmail/files/scmail-0.2-gentoo.diff25
-rw-r--r--mail-filter/scmail/metadata.xml8
-rw-r--r--mail-filter/scmail/scmail-0.2.ebuild38
-rw-r--r--mail-filter/scmail/scmail-1.1.ebuild33
-rw-r--r--mail-filter/scmail/scmail-1.2.ebuild33
10 files changed, 190 insertions, 0 deletions
diff --git a/mail-filter/scmail/ChangeLog b/mail-filter/scmail/ChangeLog
new file mode 100644
index 000000000000..30a048db35e7
--- /dev/null
+++ b/mail-filter/scmail/ChangeLog
@@ -0,0 +1,41 @@
+# ChangeLog for net-mail/scmail
+# Copyright 2000-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/scmail/ChangeLog,v 1.1 2004/06/03 07:30:00 seemant Exp $
+
+*scmail-1.1 (03 Jun 2004)
+
+ 03 Jun 2004; Seemant Kulleen <seemant@gentoo.org> +metadata.xml,
+ +files/scmail-0.2-gentoo.diff, +scmail-0.2.ebuild, +scmail-1.1.ebuild,
+ +scmail-1.2.ebuild:
+ Moved from net-mail/scmail to mail-filter/scmail.
+
+ 02 May 2004; David Holm <dholm@gentoo.org> scmail-1.2.ebuild:
+ Added to ~ppc.
+
+ 27 Apr 2004; Aron Griffis <agriffis@gentoo.org> scmail-0.2.ebuild:
+ Add inherit eutils
+
+ 28 Mar 2004; Akinori Hattori <hattya@gentoo.org> scmail-0.2.ebuild,
+ scmail-1.1.ebuild, scmail-1.2.ebuild:
+ removed unnecessary $S. mark 1.2 stable.
+
+*scmail-1.2 (14 Mar 2004)
+
+ 14 Mar 2004; Akinori Hattori <hattya@gentoo.org> scmail-1.2.ebuild:
+ version bumped.
+
+ 22 Feb 2004; Akinori Hattori <hattya@gentoo.org> scmail-0.2.ebuild,
+ scmail-1.1.ebuild:
+ marked stable on x86.
+
+*scmail-1.1 (08 Feb 2004)
+
+ 08 Feb 2004; Akinori Hattori <hattya@gentoo.org> scmail-1.1.ebuild:
+ Version bumped.
+
+*scmail-0.2 (02 Feb 2004)
+
+ 02 Feb 2004; Akinori Hattori <hattya@gentoo.org> scmail-0.2.ebuild,
+ files/scmail-0.2-gentoo.diff:
+ Initial import.
+
diff --git a/mail-filter/scmail/Manifest b/mail-filter/scmail/Manifest
new file mode 100644
index 000000000000..790961f682d1
--- /dev/null
+++ b/mail-filter/scmail/Manifest
@@ -0,0 +1,9 @@
+MD5 6f75f04c91cf050a9dbc73f552793c69 ChangeLog 1034
+MD5 c9f54ac0eadf3d14a44e5dc692f0df73 metadata.xml 230
+MD5 0d5be44d1a80e5ce3de1c18b076e6e02 scmail-0.2.ebuild 663
+MD5 309f901bb12ebac1a63a6195fa1c23bd scmail-1.1.ebuild 657
+MD5 f7958bcc950d8c9eb35e173bb046e8da scmail-1.2.ebuild 661
+MD5 33e7bd89a7d6f62b2a6711a6a219fd7f files/digest-scmail-0.2 61
+MD5 f194840b9ec31e9f2fc08be9a80dfeee files/digest-scmail-1.1 61
+MD5 f807b3ff180a7c92b84716890eea3570 files/scmail-0.2-gentoo.diff 673
+MD5 effdc88ee51fbd232b5ff03bacae0420 files/digest-scmail-1.2 61
diff --git a/mail-filter/scmail/files/digest-scmail-0.2 b/mail-filter/scmail/files/digest-scmail-0.2
new file mode 100644
index 000000000000..62945694b807
--- /dev/null
+++ b/mail-filter/scmail/files/digest-scmail-0.2
@@ -0,0 +1 @@
+MD5 0c3b7c7757c659fa0d8ed99e1c760807 scmail-0.2.tar.gz 13047
diff --git a/mail-filter/scmail/files/digest-scmail-1.1 b/mail-filter/scmail/files/digest-scmail-1.1
new file mode 100644
index 000000000000..92f06d801441
--- /dev/null
+++ b/mail-filter/scmail/files/digest-scmail-1.1
@@ -0,0 +1 @@
+MD5 4471678c0f33705cee0bec7528e91c1e scmail-1.1.tar.gz 49128
diff --git a/mail-filter/scmail/files/digest-scmail-1.2 b/mail-filter/scmail/files/digest-scmail-1.2
new file mode 100644
index 000000000000..ed762db96860
--- /dev/null
+++ b/mail-filter/scmail/files/digest-scmail-1.2
@@ -0,0 +1 @@
+MD5 58912c4b116638b4f76f86a4d5d63840 scmail-1.2.tar.gz 51032
diff --git a/mail-filter/scmail/files/scmail-0.2-gentoo.diff b/mail-filter/scmail/files/scmail-0.2-gentoo.diff
new file mode 100644
index 000000000000..d5bb64aa0a42
--- /dev/null
+++ b/mail-filter/scmail/files/scmail-0.2-gentoo.diff
@@ -0,0 +1,25 @@
+diff -urN scmail-0.2.orig/Makefile scmail-0.2/Makefile
+--- scmail-0.2.orig/Makefile 2003-03-21 10:46:02.000000000 +0900
++++ scmail-0.2/Makefile 2004-02-02 19:50:38.347370928 +0900
+@@ -2,7 +2,7 @@
+
+ PREFIX = /usr/local
+ BINDIR = $(PREFIX)/bin
+-DATADIR = $(PREFIX)/share/scmail
++SITELIBDIR = ${D}`gauche-config --sitelibdir`
+
+ DIST = ChangeLog \
+ Makefile \
+@@ -37,10 +37,9 @@
+
+ install:
+ mkdir -p $(BINDIR)
+- mkdir -p $(DATADIR)
++ mkdir -p ${SITELIBDIR}
+ cp -p scmail-deliver scmail-refile $(BINDIR)
+- cp -p scmailrc*.sample $(DATADIR)
+- cp -p scmail.scm `gauche-config --sitelibdir`
++ cp -p scmail.scm ${SITELIBDIR}
+ dist:
+ cd doc && make
+ rm -rf scmail-$(VERSION)
diff --git a/mail-filter/scmail/metadata.xml b/mail-filter/scmail/metadata.xml
new file mode 100644
index 000000000000..bfe33a26e11c
--- /dev/null
+++ b/mail-filter/scmail/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>hattya@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/mail-filter/scmail/scmail-0.2.ebuild b/mail-filter/scmail/scmail-0.2.ebuild
new file mode 100644
index 000000000000..a029a22c707d
--- /dev/null
+++ b/mail-filter/scmail/scmail-0.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/scmail/scmail-0.2.ebuild,v 1.1 2004/06/03 07:30:00 seemant Exp $
+
+inherit eutils
+
+IUSE=""
+
+HOMEPAGE="http://namazu.org/~satoru/scmail/"
+DESCRIPTION="a mail filter written in Scheme"
+SRC_URI="http://namazu.org/~satoru/scmail/${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="x86"
+SLOT="0"
+
+DEPEND=">=dev-lisp/gauche-0.6.3"
+
+src_unpack() {
+
+ unpack ${A}
+ epatch ${FILESDIR}/${P}-gentoo.diff
+
+}
+
+src_compile() {
+
+ emake || die
+
+}
+
+src_install() {
+
+ einstall PREFIX=${D}/usr || die
+
+ dodoc scmailrc*.sample doc/*
+
+}
diff --git a/mail-filter/scmail/scmail-1.1.ebuild b/mail-filter/scmail/scmail-1.1.ebuild
new file mode 100644
index 000000000000..b39eb8c2ec03
--- /dev/null
+++ b/mail-filter/scmail/scmail-1.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/scmail/scmail-1.1.ebuild,v 1.1 2004/06/03 07:30:00 seemant Exp $
+
+IUSE=""
+
+HOMEPAGE="http://namazu.org/~satoru/scmail/"
+DESCRIPTION="a mail filter written in Scheme"
+SRC_URI="http://namazu.org/~satoru/scmail/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="x86"
+SLOT="0"
+
+DEPEND=">=dev-lisp/gauche-0.7.4.1"
+
+src_compile() {
+
+ emake || die
+
+}
+
+src_install() {
+
+ einstall \
+ PREFIX=${D}/usr \
+ SITELIBDIR=${D}$(gauche-config --sitelibdir) \
+ DATADIR=${D}/usr/share/doc/${P} \
+ || die
+
+ dohtml doc/*.html
+
+}
diff --git a/mail-filter/scmail/scmail-1.2.ebuild b/mail-filter/scmail/scmail-1.2.ebuild
new file mode 100644
index 000000000000..5b995121c998
--- /dev/null
+++ b/mail-filter/scmail/scmail-1.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/scmail/scmail-1.2.ebuild,v 1.1 2004/06/03 07:30:00 seemant Exp $
+
+IUSE=""
+
+HOMEPAGE="http://namazu.org/~satoru/scmail/"
+DESCRIPTION="a mail filter written in Scheme"
+SRC_URI="http://namazu.org/~satoru/scmail/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="x86 ~ppc"
+SLOT="0"
+
+DEPEND=">=dev-lisp/gauche-0.7.4.1"
+
+src_compile() {
+
+ emake || die
+
+}
+
+src_install() {
+
+ einstall \
+ PREFIX=${D}/usr \
+ SITELIBDIR=${D}$(gauche-config --sitelibdir) \
+ DATADIR=${D}/usr/share/doc/${P} \
+ || die
+
+ dohtml doc/*.html
+
+}